Subject: bug#71712: 29.3; Crash on OpenBSD

From: Gerd Möllmann <[email-masked]>
Date: Thu, 27 Jun 2024 16:19:43 +0200

Kirill A. Korinsky <[email-masked]> writes:

> On Thu, 27 Jun 2024 13:33:37 +0100,
> Eli Zaretskii <[email-masked]> wrote:
>> 
>> Too bad.  How do people debug programs on OpenBSD, if GDB doesn't work
>> there?
>>
>
> Here a tricky part: I have used GDB on OpenBSD more than once, which
> includes attaching to a process on my mail servers when I hunt a bugs inside
> it. And it works well.
>
> Emacs is the first application which I can't debug on OpenBSD.

Not sure about OpenBSD, but FreeBSD switched to LLVM, i.e. clang and
lldb, a while ago. Do you have these?